CREATE TABLE Mitarbeiter(
	PKZ INTEGER PRIMARY KEY,
	NAME VARCHAR(30) NOT NULL
);

CREATE TABLE AdminBetreuer(
	PKZ INTEGER PRIMARY KEY REFERENCES Mitarbeiter(PKZ)
);

CREATE TABLE WissBetreuer(
	PKZ INTEGER PRIMARY KEY REFERENCES Mitarbeiter(PKZ)
);

CREATE TABLE Referent(
	PKZ INTEGER PRIMARY KEY REFERENCES Mitarbeiter(PKZ)
);


CREATE TABLE Antragsteller(
	SVNR INTEGER PRIMARY KEY,
	NAME VARCHAR(30) NOT NULL,
	INSTITUTION VARCHAR(30) NOT NULL
);

CREATE TABLE FProjekt(
	PROJNR INTEGER PRIMARY KEY,
	EDATUM TIMESTAMP NOT NULL ,  
	SWOERTER VARCHAR(50) NOT NULL,
	TITEL VARCHAR(30) NOT NULL,
	SVNR INTEGER REFERENCES Antragsteller(SVNR) NOT NULL
);


CREATE TABLE AProjekt(
	PROJNR INTEGER PRIMARY KEY REFERENCES FProjekt(PROJNR),
	BEGR TEXT
);


CREATE TABLE BProjekt(
	PROJNR INTEGER PRIMARY KEY REFERENCES FProjekt(PROJNR),
	BUDGET NUMERIC NOT NULL, 
 	SDATUM TIMESTAMP NOT NULL, 
	ENDDATUM TIMESTAMP NOT NULL,
	AdminBetreuer_PKZ INTEGER REFERENCES AdminBetreuer(PKZ) NOT NULL,
	WissBetreuer_PKZ INTEGER REFERENCES WissBetreuer(PKZ) NOT NULL,
	Referent_PKZ INTEGER REFERENCES Referent(PKZ) NOT NULL
	      
);


CREATE TABLE vorherige(
	PROJNR INTEGER PRIMARY KEY REFERENCES FProjekt(PROJNR),
	FProjekt_PROJNR INTEGER REFERENCES FProjekt(PROJNR) NOT NULL

);

CREATE TABLE Kuratoriumssitzung(
	NUMMER INTEGER PRIMARY KEY,  
	DATUM TIMESTAMP NOT NULL
);

CREATE TABLE diskutiert(
	PROJNR INTEGER PRIMARY KEY REFERENCES FProjekt(PROJNR),

	NUMMER INTEGER REFERENCES Kuratoriumssitzung(NUMMER) NOT NULL,
	
	PKZ INTEGER REFERENCES Referent(PKZ) NOT NULL

);

CREATE TABLE FDisziplin(
	ID INTEGER PRIMARY KEY,  
	BEZEICHNUNG VARCHAR(20) NOT NULL
);

CREATE TABLE zugeteilt(
	ID INTEGER,
	PROJNR INTEGER, 
	PRIMARY KEY (ID,PROJNR),
 	FOREIGN KEY(ID) REFERENCES FDisziplin(ID), 
     	FOREIGN KEY(PROJNR) REFERENCES FProjekt(PROJNR) 
   
);


CREATE TABLE Gutachter(
	ID INTEGER PRIMARY KEY,
	NAME VARCHAR(30) NOT NULL,
	LAND VARCHAR(20) NOT NULL
);

CREATE TABLE begutachtet(
	ID INTEGER,
   	PROJNR INTEGER,
	DATUM TIMESTAMP NOT NULL,
	PUNKTE INTEGER NOT NULL, 
	KOMMENTARE TEXT, 
  	PRIMARY KEY (ID,PROJNR),
 	FOREIGN KEY(ID) REFERENCES Gutachter(ID), 
     	FOREIGN KEY(PROJNR) REFERENCES FProjekt(PROJNR) 
   
);




